ranges::v3::rotate_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , requires = (Permutable<I>() && Sentinel<S, I>())>
iterator_range< I > | operator() (I begin, I middle, S end) const
template<typename Rng , typename I = iterator_t<Rng>, requires = (Range<Rng>() && Permutable<I>())>
meta::if_< std::is_lvalue_reference< Rng >, iterator_range< I >, dangling< iterator_range< I > > > | operator() (Rng &&rng, I middle) const